

kernel/built-in.o(.text+0x2d538): In function `.free_module':
: undefined reference to `.stop_machine_run'
kernel/built-in.o(.text+0x2edfc): In function `.sys_init_module':
: undefined reference to `.stop_machine_run'

stop_machine_run() does not exist if !CONFIG_STOP_MACHINE

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/stop_machine.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/stop_machine.h~fix-kallsyms-insmod-rmmod-race-fix include/linux/stop_machine.h
--- 25/include/linux/stop_machine.h~fix-kallsyms-insmod-rmmod-race-fix	2005-02-02 16:01:40.867967816 -0800
+++ 25-akpm/include/linux/stop_machine.h	2005-02-02 16:01:40.871967208 -0800
@@ -8,7 +8,7 @@
 #include <linux/cpu.h>
 #include <asm/system.h>
 
-#ifdef CONFIG_SMP
+#if defined(CONFIG_STOP_MACHINE) && defined(CONFIG_SMP)
 /**
  * stop_machine_run: freeze the machine on all CPUs and run this function
  * @fn: the function to run
_
